Package be.fgov.ehealth.dics.protocol.v4

# Class ConsultAmpComponentType

java.lang.Object
be.fgov.ehealth.dics.protocol.v4.ConsultAmpComponentType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class ConsultAmpComponentType extends Object implements Serializable

Java class for ConsultAmpComponentType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultAmpComponentType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Dividable" type="{urn:be:fgov:ehealth:dics:core:v4:actual:common}DividableType" minOccurs="0"/>
             <element name="Scored" type="{urn:be:fgov:ehealth:dics:core:v4:actual:common}ScoredType" minOccurs="0"/>
             <element name="Crushable" type="{urn:be:fgov:ehealth:dics:core:v4:actual:common}CrushableType" minOccurs="0"/>
             <element name="ContainsAlcohol" type="{urn:be:fgov:ehealth:dics:core:v4:actual:common}ContainsAlcoholType" minOccurs="0"/>
             <element name="SugarFree" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="ModifiedReleaseType" type="{urn:be:fgov:ehealth:dics:core:v4:actual:common}ModifiedReleaseTypeType" minOccurs="0"/>
             <element name="SpecificDrugDevice" type="{urn:be:fgov:ehealth:dics:core:v4:actual:common}SpecificDrugDeviceType" minOccurs="0"/>
             <element name="Dimensions" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Name" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultTextType" minOccurs="0"/>
             <element name="Note" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultTextType" minOccurs="0"/>
             <element name="PharmaceuticalForm" type="{urn:be:fgov:ehealth:dics:protocol:v4}PharmaceuticalFormWithStandardsType" maxOccurs="unbounded"/>
             <element name="RouteOfAdministration" type="{urn:be:fgov:ehealth:dics:protocol:v4}RouteOfAdministrationWithStandardsType" maxOccurs="unbounded"/>
             <element name="RealActualIngredient" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultRealActualIngredientType" maxOccurs="unbounded"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v4}validityPeriod"/>
           <attribute name="SequenceNr" use="required" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" />
           <attribute name="VmpComponentCode" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultAmpComponentType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContainsAlcohol()`
  Indicates whether the product contains alcohol.
  `String`
  `getCrushable()`
  Indicates whether it concerns a crushable tablet: Y – crushable N – not crushable X – not applicable (not a tablet) null – missing data
  `String`
  `getDimensions()`
  Text field with the dimensions of the product in the case of e.g.
  `String`
  `getDividable()`
  Indicates whether it concerns a dividable pharmaceutical form: 2 – at least dividable in 2 equal parts 3 – at least dividable in 3 equal parts 4 – at least dividable in 4 equals part N – not dividable in equal parts X – not applicable (not a tablet) null – missing data
  `Instant`
  `getEndDate()`
  Gets the value of the endDate property.
  `BigInteger`
  `getModifiedReleaseType()`
  Type of release modification: 0 – release not modified 1 – prolonged release 2 – delayed release 3 – multiphasic release 4 – depot – transdermal null – missing data Other values can be added later.
  `ConsultTextType`
  `getName()`
  Uniformly structured name given by the BCPI to identify the specific component from the medicinal product.
  `ConsultTextType`
  `getNote()`
  Useful textual information related to the component.
  `List<PharmaceuticalFormWithStandardsType>`
  `getPharmaceuticalForms()`
  Gets the value of the pharmaceuticalForms property.
  `List<ConsultRealActualIngredientType>`
  `getRealActualIngredients()`
  Gets the value of the realActualIngredients property.
  `List<RouteOfAdministrationWithStandardsType>`
  `getRouteOfAdministrations()`
  Gets the value of the routeOfAdministrations property.
  `String`
  `getScored()`
  Indicates whether it concerns a scored tablet or not: 2 – scored as to allow division in at least 2 parts 3 – scored as to allow division in at least 3 parts 4 – scored as to allow division in at least 4 parts N – not scored X – not applicable (not a tablet) null – missing data
  `BigInteger`
  `getSequenceNr()`
  Gets the value of the sequenceNr property.
  `BigInteger`
  `getSpecificDrugDevice()`
  Indicates whether a specific device is needed: 0 – a device is neither required nor optional 1 – a specific device is required and is included 2 – a specific device is required but not included 3 – an optional device is included 4 – an optional device is not included 50 – this AMP is a pen device 99 – not applicable null – missing data Other values can be added later.
  `Instant`
  `getStartDate()`
  Gets the value of the startDate property.
  `BigInteger`
  `getVmpComponentCode()`
  Gets the value of the vmpComponentCode property.
  `Boolean`
  `isSugarFree()`
  The product does not contain glucose, sucrose or fructose for products whose AMP have an oral liquid form.
  `void`
  `setContainsAlcohol(String value)`
  Sets the value of the containsAlcohol property.
  `void`
  `setCrushable(String value)`
  Sets the value of the crushable property.
  `void`
  `setDimensions(String value)`
  Sets the value of the dimensions property.
  `void`
  `setDividable(String value)`
  Sets the value of the dividable property.
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setModifiedReleaseType(BigInteger value)`
  Sets the value of the modifiedReleaseType property.
  `void`
  `setName(ConsultTextType value)`
  Sets the value of the name property.
  `void`
  `setNote(ConsultTextType value)`
  Sets the value of the note property.
  `void`
  `setScored(String value)`
  Sets the value of the scored property.
  `void`
  `setSequenceNr(BigInteger value)`
  Sets the value of the sequenceNr property.
  `void`
  `setSpecificDrugDevice(BigInteger value)`
  Sets the value of the specificDrugDevice property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.
  `void`
  `setSugarFree(Boolean value)`
  Sets the value of the sugarFree property.
  `void`
  `setVmpComponentCode(BigInteger value)`
  Sets the value of the vmpComponentCode property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultAmpComponentType

    public ConsultAmpComponentType()

- ## Method Details

  - ### getDividable

    public String getDividable()
    Indicates whether it concerns a dividable pharmaceutical form: 2 – at least dividable in 2 equal parts 3 – at least dividable in 3 equal parts 4 – at least dividable in 4 equals part N – not dividable in equal parts X – not applicable (not a tablet) null – missing data
    Returns:
      possible object is `String`

  - ### setDividable

    public void setDividable(String value)
    Sets the value of the dividable property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getDividable()`

  - ### getScored

    public String getScored()
    Indicates whether it concerns a scored tablet or not: 2 – scored as to allow division in at least 2 parts 3 – scored as to allow division in at least 3 parts 4 – scored as to allow division in at least 4 parts N – not scored X – not applicable (not a tablet) null – missing data
    Returns:
      possible object is `String`

  - ### setScored

    public void setScored(String value)
    Sets the value of the scored property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getScored()`

  - ### getCrushable

    public String getCrushable()
    Indicates whether it concerns a crushable tablet: Y – crushable N – not crushable X – not applicable (not a tablet) null – missing data
    Returns:
      possible object is `String`

  - ### setCrushable

    public void setCrushable(String value)
    Sets the value of the crushable property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCrushable()`

  - ### getContainsAlcohol

    public String getContainsAlcohol()
    Indicates whether the product contains alcohol. Y – contains alcohol N – doesn't contain alcohol X – not applicable Default is null (missing data).
    Returns:
      possible object is `String`

  - ### setContainsAlcohol

    public void setContainsAlcohol(String value)
    Sets the value of the containsAlcohol property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getContainsAlcohol()`

  - ### isSugarFree

    public Boolean isSugarFree()
    The product does not contain glucose, sucrose or fructose for products whose AMP have an oral liquid form. Default is null (missing data).
    Returns:
      possible object is `Boolean`

  - ### setSugarFree

    public void setSugarFree(Boolean value)
    Sets the value of the sugarFree property.
    Parameters:
      `value` - allowed object is `Boolean`
    See Also:
      - `isSugarFree()`

  - ### getModifiedReleaseType

    public BigInteger getModifiedReleaseType()
    Type of release modification: 0 – release not modified 1 – prolonged release 2 – delayed release 3 – multiphasic release 4 – depot – transdermal null – missing data Other values can be added later.
    Returns:
      possible object is `BigInteger`

  - ### setModifiedReleaseType

    public void setModifiedReleaseType(BigInteger value)
    Sets the value of the modifiedReleaseType property.
    Parameters:
      `value` - allowed object is `BigInteger`
    See Also:
      - `getModifiedReleaseType()`

  - ### getSpecificDrugDevice

    public BigInteger getSpecificDrugDevice()
    Indicates whether a specific device is needed: 0 – a device is neither required nor optional 1 – a specific device is required and is included 2 – a specific device is required but not included 3 – an optional device is included 4 – an optional device is not included 50 – this AMP is a pen device 99 – not applicable null – missing data Other values can be added later.
    Returns:
      possible object is `BigInteger`

  - ### setSpecificDrugDevice

    public void setSpecificDrugDevice(BigInteger value)
    Sets the value of the specificDrugDevice property.
    Parameters:
      `value` - allowed object is `BigInteger`
    See Also:
      - `getSpecificDrugDevice()`

  - ### getDimensions

    public String getDimensions()
    Text field with the dimensions of the product in the case of e.g. adhesives.
    Returns:
      possible object is `String`

  - ### setDimensions

    public void setDimensions(String value)
    Sets the value of the dimensions property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getDimensions()`

  - ### getName

    public ConsultTextType getName()
    Uniformly structured name given by the BCPI to identify the specific component from the medicinal product. This field is translated in French, Dutch, German and English. French and Dutch versions are mandatory and others are optional.
    Returns:
      possible object is `ConsultTextType`

  - ### setName

    public void setName(ConsultTextType value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `ConsultTextType`
    See Also:
      - `getName()`

  - ### getNote

    public ConsultTextType getNote()
    Useful textual information related to the component. This field is translated in French, Dutch, German and English. When it is specified, French and Dutch versions are mandatory and others are optional.
    Returns:
      possible object is `ConsultTextType`

  - ### setNote

    public void setNote(ConsultTextType value)
    Sets the value of the note property.
    Parameters:
      `value` - allowed object is `ConsultTextType`
    See Also:
      - `getNote()`

  - ### getPharmaceuticalForms

    public List<PharmaceuticalFormWithStandardsType> getPharmaceuticalForms()
    Gets the value of the pharmaceuticalForms property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the pharmaceuticalForms property.

    For example, to add a new item, do as follows:

         getPharmaceuticalForms().add(newItem);

    Objects of the following type(s) are allowed in the list `PharmaceuticalFormWithStandardsType`

    Returns:
      The value of the pharmaceuticalForms property.

  - ### getRouteOfAdministrations

    public List<RouteOfAdministrationWithStandardsType> getRouteOfAdministrations()
    Gets the value of the routeOfAdministrations property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the routeOfAdministrations property.

    For example, to add a new item, do as follows:

         getRouteOfAdministrations().add(newItem);

    Objects of the following type(s) are allowed in the list `RouteOfAdministrationWithStandardsType`

    Returns:
      The value of the routeOfAdministrations property.

  - ### getRealActualIngredients

    public List<ConsultRealActualIngredientType> getRealActualIngredients()
    Gets the value of the realActualIngredients property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the realActualIngredients property.

    For example, to add a new item, do as follows:

         getRealActualIngredients().add(newItem);

    Objects of the following type(s) are allowed in the list `ConsultRealActualIngredientType`

    Returns:
      The value of the realActualIngredients property.

  - ### getSequenceNr

    public BigInteger getSequenceNr()
    Gets the value of the sequenceNr property.
    Returns:
      possible object is `BigInteger`

  - ### setSequenceNr

    public void setSequenceNr(BigInteger value)
    Sets the value of the sequenceNr property.
    Parameters:
      `value` - allowed object is `BigInteger`

  - ### getVmpComponentCode

    public BigInteger getVmpComponentCode()
    Gets the value of the vmpComponentCode property.
    Returns:
      possible object is `BigInteger`

  - ### setVmpComponentCode

    public void setVmpComponentCode(BigInteger value)
    Sets the value of the vmpComponentCode property.
    Parameters:
      `value` - allowed object is `BigInteger`

  - ### getStartDate

    public Instant getStartDate()
    Gets the value of the startDate property.
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate

    public Instant getEndDate()
    Gets the value of the endDate property.
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`